<!DOCTYPE html>
<html lang="en">
<head>
<script type="module">
import { add, fib, hello_from, sort, format_arr } from "./build/release.js";

var e = document.getElementById("add");
if (e) {
    e.innerHTML = add (2000, 22)
}

e = document.getElementById("fib");
if (e) {
    e.innerHTML = fib(10)
}

e = document.getElementById("hello_from1");
if (e) {
    e.innerHTML = hello_from("the other side!")
}
e = document.getElementById("hello_from2");
if (e) {
    e.innerHTML = hello_from("GitLab 🦊")
}
e = document.getElementById("hello_from3");
if (e) {
    e.innerHTML = hello_from("the #EveryoneCanContribute cafe meetup ☕")
}

e = document.getElementById("sort1");
if (e) {
    e.innerHTML = format_arr(sort([1,2,3]))
}
e = document.getElementById("sort2");
if (e) {
    e.innerHTML = format_arr(sort([10,7,3]))
}


</script>
</head>
<body>
    Add:
    <div id="add"></div>
    Fib: 
    <div id="fib"></div>
    Hello: 
    <div id="hello_from1"></div>
    <div id="hello_from2"></div>
    <div id="hello_from3"></div>
    Sort: 
    <div id="sort1"></div>
    <div id="sort2"></div>
</body>
</html>
